.text-custom1 {
    color: #233a21 !important;
}

.text-custom2 {
    color: #143d40 !important;
}

.text-custom3 {
    color: #f6c943 !important;
}

.text-custom4 {
    color: #007c2f !important;
}

.text-custom5 {
    color: #1e676c !important;
}

.text-custom6 {
    color: #aba8a5 !important;
}

.text-custom7 {
    color: #bce0c5 !important;
}


.navbar-custom1 {
    background-color: #233a21;
}

.navbar-custom2 {
    background-color: #143d40;
}

.navbar-custom3 {
    background-color: #f6c943;
}

.navbar-custom4 {
    background-color: #007c2f;
}

.navbar-custom5 {
    background-color: #1e676c;
}

.navbar-custom6 {
    background-color: #aba8a5;
}

.bg-custom1 {
    background-color: #233a21 !important;
}

.bg-custom1,
.bg-custom1>a {
    color: #ffffff !important;
}

.bg-custom1.btn:hover {
    border-color: #233a21;
    color: #ececec;
}

.bg-custom1.btn:not(:disabled):not(.disabled):active,
.bg-custom1.btn:not(:disabled):not(.disabled).active,
.bg-custom1.btn:active,
.bg-custom1.btn.active {
    background-color: #233a21 !important;
    border-color: #1c3e41;
    color: #ffffff;
}

.bg-custom2 {
    background-color: #143d40 !important;
}

.bg-custom2,
.bg-custom2>a {
    color: #ffffff !important;
}

.bg-custom2.btn:hover {
    border-color: #143d40;
    color: #ececec;
}

.bg-custom2.btn:not(:disabled):not(.disabled):active,
.bg-custom2.btn:not(:disabled):not(.disabled).active,
.bg-custom2.btn:active,
.bg-custom2.btn.active {
    background-color: #143d40 !important;
    border-color: #1c3e41;
    color: #ffffff;
}

.bg-custom3 {
    background-color: #f6c943 !important;
}

.bg-custom3,
.bg-custom3>a {
    color: #ffffff !important;
}

.bg-custom3.btn:hover {
    border-color: #f6c943;
    color: #ececec;
}

.bg-custom3.btn:not(:disabled):not(.disabled):active,
.bg-custom3.btn:not(:disabled):not(.disabled).active,
.bg-custom3.btn:active,
.bg-custom3.btn.active {
    background-color: #f6c943 !important;
    border-color: #1c3e41;
    color: #ffffff;
}

.bg-custom4 {
    background-color: #007c2f !important;
}

.bg-custom4,
.bg-custom4>a {
    color: #ffffff !important;
}

.bg-custom4.btn:hover {
    border-color: #007c2f;
    color: #ececec;
}

.bg-custom4.btn:not(:disabled):not(.disabled):active,
.bg-custom4.btn:not(:disabled):not(.disabled).active,
.bg-custom4.btn:active,
.bg-custom4.btn.active {
    background-color: #007c2f !important;
    border-color: #1c3e41;
    color: #ffffff;
}

.bg-custom5 {
    background-color: #1e676c !important;
}

.bg-custom5,
.bg-custom5>a {
    color: #ffffff !important;
}

.bg-custom5.btn:hover {
    border-color: #1e676c;
    color: #ececec;
}

.bg-custom5.btn:not(:disabled):not(.disabled):active,
.bg-custom5.btn:not(:disabled):not(.disabled).active,
.bg-custom5.btn:active,
.bg-custom5.btn.active {
    background-color: #1e676c !important;
    border-color: #1c3e41;
    color: #ffffff;
}

.bg-custom6 {
    background-color: #aba8a5 !important;
}

.bg-custom6,
.bg-custom6>a {
    color: #ffffff !important;
}

.bg-custom6.btn:hover {
    border-color: #aba8a5;
    color: #ececec;
}

.bg-custom6.btn:not(:disabled):not(.disabled):active,
.bg-custom6.btn:not(:disabled):not(.disabled).active,
.bg-custom6.btn:active,
.bg-custom6.btn.active {
    background-color: #aba8a5 !important;
    border-color: #aba8a5;
    color: #ffffff;
}





.select2-custom+.select2-container--default.select2-container--open .select2-selection--single {
    border-color: #329aa1;
}

.select2-custom+.select2-container--default.select2-container--focus .select2-selection--single {
    border-color: #329aa1;
}

.select2-container--default .select2-custom.select2-dropdown .select2-search__field:focus,
.select2-container--default .select2-custom .select2-dropdown .select2-search__field:focus,
.select2-container--default .select2-custom .select2-search--inline .select2-search__field:focus,
.select2-custom .select2-container--default.select2-dropdown .select2-search__field:focus,
.select2-custom .select2-container--default .select2-dropdown .select2-search__field:focus,
.select2-custom .select2-container--default .select2-search--inline .select2-search__field:focus {
    border: 1px solid #329aa1;
}

.select2-container--default .select2-custom .select2-results__option--highlighted,
.select2-custom .select2-container--default .select2-results__option--highlighted {
    background-color: #1e676c;
    color: #ffffff;
}

.select2-container--default .select2-custom .select2-results__option--highlighted[aria-selected],
.select2-container--default .select2-custom .select2-results__option--highlighted[aria-selected]:hover,
.select2-custom .select2-container--default .select2-results__option--highlighted[aria-selected],
.select2-custom .select2-container--default .select2-results__option--highlighted[aria-selected]:hover {
    background-color: #1e676c;
    color: #ffffff;
}

.select2-container--default .select2-custom .select2-selection--multiple:focus,
.select2-custom .select2-container--default .select2-selection--multiple:focus {
    border-color: #329aa1;
}

.select2-container--default .select2-custom .select2-selection--multiple .select2-selection__choice,
.select2-custom .select2-container--default .select2-selection--multiple .select2-selection__choice {
    background-color: #1e676c;
    border-color: #1e676c;
    color: #ffffff;
}

.select2-container--default .select2-custom .select2-selection--multiple .select2-selection__choice__remove,
.select2-custom .select2-container--default .select2-selection--multiple .select2-selection__choice__remove {
    color: rgba(255, 255, 255, 0.7);
}

.select2-container--default .select2-custom .select2-selection--multiple .select2-selection__choice__remove:hover,
.select2-custom .select2-container--default .select2-selection--multiple .select2-selection__choice__remove:hover {
    color: #ffffff;
}

.select2-container--default .select2-custom.select2-container--focus .select2-selection--multiple,
.select2-custom .select2-container--default.select2-container--focus .select2-selection--multiple {
    border-color: #329aa1;
}

.card-custom:not(.card-outline)>.card-header {
    background-color: #1e676c;
}

.card-custom:not(.card-outline)>.card-header,
.card-custom:not(.card-outline)>.card-header a {
    color: #ffffff;
}

.card-custom:not(.card-outline)>.card-header a.active {
    color: #1F2D3D;
}

.card-custom.card-outline {
    border-top: 3px solid #1e676c;
}

.card-custom.card-outline-tabs>.card-header a:hover {
    border-top: 3px solid #dee2e6;
}

.card-custom.card-outline-tabs>.card-header a.active {
    border-top: 3px solid #1e676c;
}

.bg-custom .btn-tool,
.bg-gradient-custom .btn-tool,
.card-custom:not(.card-outline) .btn-tool {
    color: rgba(255, 255, 255, 0.8);
}

.bg-custom .btn-tool:hover,
.bg-gradient-maroon .btn-tool:hover,
.card-custom:not(.card-outline) .btn-tool:hover {
    color: #ffffff;
}

.btn-custom {
    color: #ffffff;
    background-color: #1e676c;
    border-color: #1e676c;
    box-shadow: none;
}

.btn-custom:hover {
    color: #ffffff;
    background-color: #329aa1;
    border-color: #329aa1;
}

.btn-custom:focus,
.btn-custom.focus {
    color: #ffffff;
    background-color: #329aa1;
    border-color: #329aa1;
    box-shadow: none, 0 0 0 0 rgba(58, 176, 195, 0.5);
}

.btn-custom.disabled,
.btn-custom:disabled {
    color: #ffffff;
    background-color: #5b7a7c;
    border-color: #5b7a7c;
}

.btn-custom:not(:disabled):not(.disabled):active,
.btn-custom:not(:disabled):not(.disabled).active,
.show>.btn-custom.dropdown-toggle {
    color: #ffffff;
    background-color: #1e676c;
    border-color: #1e676c;
}

.btn-custom:not(:disabled):not(.disabled):active:focus,
.btn-custom:not(:disabled):not(.disabled).active:focus,
.show>.btn-custom.dropdown-toggle:focus {
    box-shadow: 0 0 0 0 rgba(58, 176, 195, 0.5);
}

.icheck-custom>input:first-child:not(:checked):not(:disabled):hover+label::before,
.icheck-custom>input:first-child:not(:checked):not(:disabled):hover+input[type="hidden"]+label::before {
    border-color: #1e676c;
}

.icheck-custom>input:first-child:not(:checked):not(:disabled):focus+label::before,
.icheck-custom>input:first-child:not(:checked):not(:disabled):focus+input[type="hidden"]+label::before {
    border-color: #1e676c;
}

.icheck-custom>input:first-child:checked+label::before,
.icheck-custom>input:first-child:checked+input[type="hidden"]+label::before {
    background-color: #1e676c;
    border-color: #1e676c;
}


.overlay .title
{
    position: absolute;
    top: 130px;
    font-size: small;
    
}
.overlay .spinner
 {
    top: 80px;
 }

/* .spinner {
    position: absolute;
    left: calc(50% - 18px);
    top: 50px;
    height:36px;
    width:36px;
    margin:0px auto;
    -webkit-animation: rotation .6s infinite linear;
    -moz-animation: rotation .6s infinite linear;
    -o-animation: rotation .6s infinite linear;
    animation: rotation .6s infinite linear;
    border-left:4px solid rgba(139, 162, 166,.15);
    border-right:4px solid rgba(139, 162, 166,.15);
    border-bottom:4px solid rgba(139, 162, 166,.15);
    border-top:4px solid rgba(47, 94, 102,.8);
    border-radius:100%;
 }
  */

 



 @-webkit-keyframes rotation {
    from {-webkit-transform: rotate(0deg);}
    to {-webkit-transform: rotate(359deg);}
 }
 @-moz-keyframes rotation {
    from {-moz-transform: rotate(0deg);}
    to {-moz-transform: rotate(359deg);}
 }
 @-o-keyframes rotation {
    from {-o-transform: rotate(0deg);}
    to {-o-transform: rotate(359deg);}
 }
 @keyframes rotation {
    from {transform: rotate(0deg);}
    to {transform: rotate(359deg);}
 }



 .nav-pills .nav-link.card-pill.active
 {
    background-color: #6c757d !important;    
    color: #FFF !important;
 }


.layout-fixed.layout-navbar-fixed
{
    overflow-x: hidden !important;
}


.bootstrap-datetimepicker-widget.dropdown-menu
{    
    width: 320px;
}
 .bootstrap-datetimepicker-widget .table td,
 .bootstrap-datetimepicker-widget .table th,
 .bootstrap-datetimepicker-widget .table td,
 .bootstrap-datetimepicker-widget .table th {
    border: none !important;
}



textarea.outline-none:focus,
input.outline-none:focus
{
    outline: none !important;
}



.list-group-item-hidden
{
    display: none !important;
}

.hideDiv
{
    display: none !important;
}



.emulated-flex-gap {
    --gap: 12px;
    display: inline-flex;
    flex-wrap: wrap;
    margin: calc(-1 * var(--gap)) 0 0 calc(-1 * var(--gap));
    width: calc(100% + var(--gap));
  }
  
  .emulated-flex-gap > * {
    margin: var(--gap) 0 0 var(--gap);
  }



  
.small-box.smaller .icon>i {
    font-size: 60px;
    position: absolute;
    right: 15px;
    top: 15px;
    transition: all 0.3s linear;
}

.small-box.smaller .icon>i.fa,
.small-box.smaller .icon>i.fas,
.small-box.smaller .icon>i.far,
.small-box.smaller .icon>i.fab,
.small-box.smaller .icon>i.glyphicon,
.small-box.smaller .icon>i.ion {
    font-size: 50px;
    top: 20px;
}

.small-box.smaller:hover {
    text-decoration: none;
}

.small-box.smaller:hover .icon>i {
    font-size: 60px;
}

.small-box.smaller:hover .icon>i.fa,
.small-box.smaller:hover .icon>i.fas,
.small-box.smaller:hover .icon>i.far,
.small-box.smaller:hover .icon>i.fab,
.small-box.smaller:hover .icon>i.glyphicon,
.small-box.smaller:hover .icon>i.ion {
    font-size: 60px;
}

.list-group.borderless > li
{
    border: none;
}




.custom-stepper-circle {
    display: -ms-inline-flexbox;
    display: inline-flex;
    -ms-flex-line-pack: center;
        align-content: center;
    -ms-flex-pack: center;
        justify-content: center;
    width: 2em;
    height: 2em;
    padding: .5em 0;
    margin: .25rem;
    line-height: 1em;
    color: #fff;
    background-color: #6c757d;
    border-radius: 1em;
}

.active .custom-stepper-circle {
    background-color: #1c3e41;
}

.custom-stepper
{
    display: flex; 
    flex-direction: row; 
    justify-content:  center;
    align-content: stretch;
    align-items: stretch;
}


.custom-stepper .custom-stepper-item
{  
    flex-grow: 4;
}

.custom-stepper .custom-stepper-item.leftLine,
.custom-stepper .custom-stepper-item.rightLine
{    
    position: relative;
    overflow: hidden;
}

.custom-stepper .custom-stepper-item.leftLine > *,
.custom-stepper .custom-stepper-item.rightLine > *
{
    position: relative;
    z-index: 10;
}

.custom-stepper .custom-stepper-item.leftLine::before
{
    content: "";
    position: absolute;
    top: 50%;  
    left:0px;
    background:#e0e0e0;
    height: 1px;
    width: calc(50% - 2.5em);    
    z-index: 0;
    pointer-events: none;
}
.custom-stepper .custom-stepper-item.rightLine::after
{
    content: "";
    position: absolute;
    top: 50%;  
    right:0px;
    background:#e0e0e0;
    height: 1px;
    width: calc(50% - 2.5em);    
    z-index: 0;
    pointer-events: none;
}

@media (max-width: 720px) {
    .custom-stepper .custom-stepper-item.leftLine::before
    {
       width:0;
    }
    .custom-stepper .custom-stepper-item.rightLine::after
    {
        width:0;
    }
  }


.custom-stepper .custom-stepper-item .custom-stepper-item-trigger
{
    display: block;
    margin: auto;
    width: 100%;
    
}

.custom-stepper .custom-stepper-item .custom-stepper-item-trigger:hover
{
    background-color: rgba(127, 127, 127, 0.3);
}

.dashboardTooltip {
    position: relative;         
    font-size: 14px;
  }
  
  /* Tooltip text */
  .dashboardTooltip .tooltiptext {
    visibility: hidden;    
    background-color: #343a40;
    color: #fff;
    text-align: center;
    padding: 2px 5px;
    border-radius: 6px;   
    position: absolute;
    z-index: 1;
    min-width: 120px;
    left:50%;
    transform:translateX(-50%);    
    bottom: calc(100% + 8px);
  }
  

  .dashboardTooltip .tooltiptext::after 
  {
      content: " ";
      position: absolute;
      top: 100%; /* At the bottom of the tooltip */
      left: 50%;
      margin-left: -5px;
      border-width: 5px;
      border-style: solid;
      border-color: #343a40 transparent transparent transparent;
  }


  .dashboardTooltip:hover .tooltiptext 
  {
    visibility: visible;
  }


  .dashboardTooltip.bottomPos .tooltiptext 
  {
    bottom: auto !important;
    top: calc(100% + 8px);
  }

  .dashboardTooltip.bottomPos .tooltiptext::after 
  {
    top: auto !important;
    bottom: 100%;
    border-color: transparent transparent #343a40 transparent;
  }



  .select2-container--default.select2-container--disabled .select2-selection--single {
    background-color: #f8f9fa  !important;
}